<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/MyProfilePage.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/SystemArticle.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/MyLanguagePairsPane.inc.php" );

	require_once( $GLOBALS["site_root"] . "/includes/models/MyMember.inc.php" );
	
	class MyLanguagePairsPage extends DefaultFrontend {
		protected $oMyLanguagePairsPane;

		public function __construct( $id = "MyLanguagePairsPage" , $parent = null , $pagetype = "my_profile" ) {
			parent::__construct( $id , $parent , $pagetype );
			$mmm = new MyMemberModel();
			if ($mmm->isMemberLoggedin()) {
				$this->oMyLanguagePairsPane = new MyLanguagePairsPane( "content_widget" , $this );
			} else {
				$this->oMyLanguagePairsPane = new SystemArticle( "content_widget" , $this , "sys_error_user_has_to_login" );
			}
		}
	}


?>
